// cria uma pesquisa
$sql = "SELECT correio_electronico,username,senha
          FROM pessoa";


$resultado = mysql_query($sql,$ligacao);

$nlinhas =mysql_num_rows($resultado);


while ($linha = mysql_fetch_assoc($resultado)){
  $correioE    = trim($linha['correio_electronico']);
  $entrada     = $_POST[$correioE];
  if ($entrada =='on') {
    // apagar este registo na base de dados
  }
  else // a $entrada está 'off'
    // não faz nada
    }
 }
